summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorbtd13372020-07-28 19:35:11 -0300
committerbtd13372020-07-28 19:35:11 -0300
commit9c2016429f095d0bfcf17240246ced82bcf5c9c8 (patch)
treeea46fd63ce3ec5fbe383210bcc8d312f462bd401
downloadaur-9c2016429f095d0bfcf17240246ced82bcf5c9c8.tar.gz
initial commit
-rw-r--r--.SRCINFO25
-rw-r--r--.gitignore1
-rw-r--r--PKGBUILD39
3 files changed, 65 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..096f5e00eb3
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,25 @@
+pkgbase = tuner-git
+ pkgdesc = An app to discover and listen to internet radio stations
+ pkgver = r92.cd9008be
+ pkgrel = 1
+ url = https://github.com/louis77/tuner
+ arch = i686
+ arch = x86_64
+ license = GPL3
+ makedepends = git
+ makedepends = meson
+ makedepends = vala
+ depends = gtk3
+ depends = granite
+ depends = gstreamer
+ depends = gst-plugins-bad-libs
+ depends = libgee
+ depends = libsoup
+ depends = json-glib
+ provides = tuner
+ conflicts = tuner
+ source = git+https://github.com/louis77/tuner.git
+ md5sums = SKIP
+
+pkgname = tuner-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..b25c15b81fa
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1 @@
+*~
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..8930594f349
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Helder Bertoldo <helder.bertoldo@gmail.com>
+# Contributor:
+
+_gitname=tuner
+_author=louis77
+pkgname=("${_gitname}-git")
+pkgver=r92.cd9008be
+pkgrel=1
+pkgdesc="An app to discover and listen to internet radio stations"
+arch=('i686' 'x86_64')
+url="https://github.com/${_author}/${_gitname}"
+license=('GPL3')
+depends=('gtk3' 'granite' 'gstreamer' 'gst-plugins-bad-libs' 'libgee' 'libsoup' 'json-glib')
+optdepends=()
+makedepends=('git' 'meson' 'vala')
+provides=("${_gitname}")
+conflicts=("${_gitname}")
+source=("git+${url}.git")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "${_gitname}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "${_gitname}/"
+ meson . _build --prefix=/usr
+ ninja -C _build
+}
+
+package() {
+ cd "${_gitname}/"
+ DESTDIR="${pkgdir}" ninja -C _build install
+}
+